Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
user_timesheet| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| hour_type_id |
Foreign key of the hour type |
globally unique identifier |
Required |
| date_from_rounded |
Date+Time timesheet FROM |
date |
Required |
| date_to_rounded |
Date+Time timesheet TO |
date |
Required |
| remark |
Additional remark field |
string | |
| is_approved |
Inform if this user_timesheet belongs to a week approved (readonly) |
boolean | |
| db_table_id |
Foreign key to the table timesheet is linked. Can be a jobs,project,company or empty |
globally unique identifier | |
| db_table_name |
Value of the linked table (from db_table_id) |
string | |
| id_in_table |
Foreign key of the object linked. Can be a jobs.id, project.id , company.id or empty |
globally unique identifier |
Optionally required : id_in_table must be provided |
| free_jobs_reference |
In case the user didn’t select a linked object, he can fill himself a reference |
string | |
| property_1_checked |
True/False status of property 1 |
boolean | |
| property_2_checked |
True/False status of property 2 |
boolean | |
| property_3_checked |
True/False status of property 3 |
boolean | |
| property_4_checked |
True/False status of property 4 |
boolean | |
| property_5_checked |
True/False status of property 5 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "04a49332-f38c-4dca-bfc9-36d52b3dc0d1",
"user_id": "5d4de344-f0a7-434a-81fa-78afc5118587",
"hour_type_id": "a858b7c5-8c99-43af-ad37-d6eac362255d",
"date_from_rounded": "2026-05-04T16:58:36.3409568+00:00",
"date_to_rounded": "2026-05-04T16:58:36.3409568+00:00",
"remark": "sample string 6",
"is_approved": true,
"db_table_id": "6f98a728-c808-49e3-afc5-f55484aa4d24",
"db_table_name": "sample string 9",
"id_in_table": "cde09e37-d154-4e37-a4ba-b0b048bf26d2",
"free_jobs_reference": "sample string 11",
"property_1_checked": true,
"property_2_checked": true,
"property_3_checked": true,
"property_4_checked": true,
"property_5_checked": true,
"modified_dateutc": "2026-05-04T16:58:36.3409568+00:00"
}